package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.BisOrgMonRepPeriMapper;
import com.goldenwater.slaj.hidd.domain.BisOrgMonRepPeri;
import com.goldenwater.slaj.hidd.service.IBisOrgMonRepPeriService;

/**
 * 月报期间 服务层实现
 */
@Service
public class BisOrgMonRepPeriServiceImpl implements IBisOrgMonRepPeriService {

    @Autowired
    private BisOrgMonRepPeriMapper bisOrgMonRepPeriMapper;

    /**
     * 查询月报期间信息
     * @param guid 查询条件
     * @return 月报期间信息
     */
    @Override
    public BisOrgMonRepPeri selectBisOrgMonRepPeriByGuid(String guid) {
        return bisOrgMonRepPeriMapper.selectBisOrgMonRepPeriByGuid(guid);
    }

    /**
     * 查询月报期间列表
     * @param bisOrgMonRepPeri 月报期间查询条件
     * @return 月报期间集合
     */
    @Override
    public List<BisOrgMonRepPeri> selectBisOrgMonRepPeriList(BisOrgMonRepPeri bisOrgMonRepPeri) {
        return bisOrgMonRepPeriMapper.selectBisOrgMonRepPeriList(bisOrgMonRepPeri);
    }

    /**
     * 新增月报期间
     * @param bisOrgMonRepPeri 月报期间信息
     * @return 影响行数
     */
    @Override
    public int insertBisOrgMonRepPeri(BisOrgMonRepPeri bisOrgMonRepPeri) {
        return bisOrgMonRepPeriMapper.insertBisOrgMonRepPeri(bisOrgMonRepPeri);
    }

    /**
     * 修改月报期间
     * @param bisOrgMonRepPeri 月报期间信息
     * @return 影响行数
     */
    @Override
    public int updateBisOrgMonRepPeri(BisOrgMonRepPeri bisOrgMonRepPeri) {
        return bisOrgMonRepPeriMapper.updateBisOrgMonRepPeri(bisOrgMonRepPeri);
    }

    /**
     * 删除月报期间
     * @param guid 月报期间主键
     * @return 影响行数
     */
    @Override
    public int deleteBisOrgMonRepPeriByGuid(String guid) {
        return bisOrgMonRepPeriMapper.deleteBisOrgMonRepPeriByGuid(guid);
    }

    /**
     * 批量删除月报期间
     * @param guids 月报期间主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisOrgMonRepPeriByGuids(String[] guids) {
        return bisOrgMonRepPeriMapper.deleteBisOrgMonRepPeriByGuids(guids);
    }
}
